StylesheetStripper
Keywords: com.icl.saxon.StylesheetStripper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Class StylesheetStripper

    java.lang.Object
      com.icl.saxon.output.Emitter
          com.icl.saxon.output.ProxyEmitter
              com.icl.saxon.om.Stripper
                  com.icl.saxon.StylesheetStripper

All Implemented Interfaces:
  Result

public class StylesheetStripper
extends Stripper

The StylesheetStripper refines the Stripper class to do stripping of whitespace nodes on a stylesheet. This is handled specially (a) because it is done at compile time, so there is no Controller or Context available, and (b) because the rules are very simple

Field Summary

Fields inherited from class com.icl.saxon.output.ProxyEmitter
`baseEmitter, outputProperties`

Fields inherited from class com.icl.saxon.output.Emitter
`locator, outputStream, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`StylesheetStripper()`

Method Summary
`boolean` | `isSpacePreserving(int nameCode)` Decide whether an element is in the set of white-space preserving element types
`void` | `setStylesheetRules(NamePool namePool)` Set the rules appropriate for whitespace-stripping in a stylesheet

Methods inherited from class com.icl.saxon.om.Stripper
`characters, endElement, getPreserveAll, getStripAll, setController, setPreserveAll, setStripAll, startDocument, startElement`

Methods inherited from class com.icl.saxon.output.ProxyEmitter
`comment, endDocument, processingInstruction, setDocumentLocator, setEscaping, setNamePool, setOutputProperties, setUnderlyingEmitter, setUnparsedEntity, setWriter`

Methods inherited from class com.icl.saxon.output.Emitter
`getNamePool, getOutputProperties, getOutputStream, getSystemId, getWriter, makeEmitter, setOutputStream, setSystemId, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StylesheetStripper

    public StylesheetStripper()

Method Detail

### setStylesheetRules

    public void setStylesheetRules(NamePool namePool)

  Set the rules appropriate for whitespace-stripping in a stylesheet

### isSpacePreserving

    public boolean isSpacePreserving(int nameCode)

  Decide whether an element is in the set of white-space preserving element types

  Overrides:
    `isSpacePreserving` in class `Stripper`
  Returns:
    true if the element is in the set of white-space preserving element types

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD